#include<bits/stdc++.h>
using namespace std;
int du(int n)
{
    int t=0;
    for(int i=1;i<=sqrt(n);i++)
    {
        if (n%i==0)
        {
            t+=2;
            int j=i;
            if(j==n/i) t--;
        }
    }
    return t;
}
int main()
{
    ifstream f1("BAI1_18.inp");
    ofstream f2("BAI1_18.out");
    int a,b;
    f1>>a>>b;
    int c=0;
    for(int i=1;i<=a;i++)
    {
        if(du(i)==b)
        {
            c++;
        }
    }
    f2<<c;
}
